com.thinkaurelius.titan.core

## Enum Cardinality

- java.lang.Object
- - java.lang.Enum<Cardinality>
  - - com.thinkaurelius.titan.core.Cardinality

- All Implemented Interfaces:
    Serializable, Comparable<Cardinality>

      public enum Cardinality
      extends Enum<Cardinality>

  The cardinality of the values associated with given key for a particular element.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LIST` Multiple values and duplicate values may be associated with the given key.
    `SET` Multiple but distinct values may be associated with the given key.
    `SINGLE` Only a single value may be associated with the given key.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Cardinality` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Cardinality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE

          public static final Cardinality SINGLE

      Only a single value may be associated with the given key.

    - #### LIST

          public static final Cardinality LIST

      Multiple values and duplicate values may be associated with the given key.

    - #### SET

          public static final Cardinality SET

      Multiple but distinct values may be associated with the given key.

  - ### Method Detail

    - #### values

          public static Cardinality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Cardinality c : Cardinality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Cardinality valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012–2014. All rights reserved.